#157 Use toplevel config.{sub,guess}

closed-invalid
nobody
None
2003-06-23
2003-06-23
Kelley Cook
No

Currently, both the mingw and w32api directories have
outdated config.sub and config.guess. Namely, they
don't have support the aliases for Pentium III or
Pentium 4.

Instead of importing the corrections, this patch
deletes those bogus copies and uses the toplevel
copies, like good GNU programs are supposed to.

The only catch is that autoconf, by default, only
searches two levels up for the toplevel, so the mingwex
and profile directories (being three away from the
toplevel) stopped working.

This was easy to fix by adding in one line to both of
those directory's configure.in.

Tested by compiling the winsup tree on both
i686-pc-cygwin and pentium4-pc-cygwin

Discussion

  • Kelley Cook

    Kelley Cook - 2003-06-23

    Patch to use toplevel config.{sub,guess}

     
  • Earnie Boyd

    Earnie Boyd - 2003-06-23

    Logged In: YES
    user_id=15438

    Sorry, this patch is invalid. The w32api and mingw-runtime
    are separate packages and they therefore have their own top
    level source directory for independence. I will look at
    updating config.guess and config.sub from the gnu site.
    Cygwin is a user of w32api and mingw-runtime not the other
    way around.

    Earnie.

     
  • Earnie Boyd

    Earnie Boyd - 2003-06-23
    • status: open --> closed-invalid
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks